Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/luajit: new aport

From: Cameron Banta <cbanta_at_gmail.com>
Date: Wed, 23 Nov 2011 00:17:10 +0000

Just-In-Time Compiler for the Lua programming language
http://luajit.org/
---
 testing/luajit/APKBUILD |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 testing/luajit/APKBUILD
diff --git a/testing/luajit/APKBUILD b/testing/luajit/APKBUILD
new file mode 100644
index 0000000..f791069
--- /dev/null
+++ b/testing/luajit/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Cameron Banta <cbanta_at_gmail.com>
+# Maintainer: Cameron Banta <cbanta_at_gmail.com>
+pkgname=luajit
+_pkgname=LuaJIT
+pkgver=2.0.0_beta8
+_pkgver=2.0.0-beta8
+pkgrel=0
+pkgdesc="Just-In-Time Compiler for the Lua programming language"
+url="http://luajit.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://luajit.org/download/$_pkgname-$_pkgver.tar.gz"
+
+_builddir=$srcdir/$_pkgname-$_pkgver
+
+build() {
+	cd "$_builddir"
+	make amalg PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install DESTDIR="$pkgdir" PREFIX=/usr || return 1
+	ln -sf /usr/bin/luajit-2.0.0-beta8 $pkgdir/usr/bin/luajit
+}
+
+md5sums="f0748a73ae268d49b1d01f56c4fe3e61  LuaJIT-2.0.0-beta8.tar.gz"
-- 
1.7.7.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 23 2011 - 00:17:10 UTC